{% extends 'admin/base.html.twig'%}

{% block stylesheets %}
    {{ encore_entry_link_tags('admin-images') }}
    <link rel="stylesheet" type="text/css" href="{{ asset('libs/tipped/tipped.css') }}"/>
{% endblock %}

{% block content %}
    <div class="block-title">
        <p class="title">Картинки</p>
        <p class="subtitle">Альбом галереи и список картинок</p>
    </div>
    <div class="block-content-wrapper">
        <div class="block-content-menu">
            <a href="#popup-create-folder" class="block-content-menu-btn-create btn-create-folder">Создать папку</a>
            <div class="block-content-menu-list folder-menu">
                <ul>
                    {% for folder in folders %}
                        <li>
                            <a href="{{ folder.link }}" {% if folder.active %} class="active" {% endif %} data-folder-id="{{ folder.id }}">
                            {% if folder.active %}<i class="fas fa-folder-open"></i>{% else %} <i class="fas fa-folder"></i>{% endif %}{{ folder.displayName }}</a>
                        </li>
                    {% endfor %}
                </ul>
            </div>
        </div>
        <div class="block-content-menu-mobile">
            <a href="#popup-create-folder" class="block-content-menu-btn-create btn-create-folder"> + </a>
            <div class="block-content-menu-list folder-menu">
                <ul>
                    {% for folder in folders %}
                        <li>
                            <a href="{{ folder.link }}" {% if folder.active %} class="active" {% endif %} data-folder-id="{{ folder.id }}">
                                {% if folder.active %}<i class="fas fa-folder-open"></i>{% else %} <i class="fas fa-folder"></i><br>{% endif %}{{ folder.displayName }}</a>
                        </li>
                    {% endfor %}
                </ul>
            </div>
        </div>
        <div class="block-content">
            <div class="block-content-header">
                <p class="title">{{ folderTitle }}</p>
                <div class="title-menu">
                    {% for label, messages in app.flashes(['success', 'error']) %}
                        {% for message in messages %}
                            <div class="flash-{{ label }}">{{ message }}</div>
                        {% endfor %}
                    {% endfor %}
                    {{ form_start(form) }}
                    <div class="btn-upload-images">
                        <label>{{ form_widget(form.images, {'attr': {'class': 'input-upload-images'}}) }}<i class="fas fa-upload"></i> <span>Добавить</span></label>
{#                        <label><input id="input-upload-images" type="file" name="images[]" accept=".jpg, .jpeg, .png" multiple onchange="this.form.submit();"><i class="fas fa-upload"></i> Добавить</label>#}
                    </div>
                    {{ form_end(form) }}
{#                    <a href="#"><i class="fas fa-trash"></i> Удалить</a>#}
                </div>
            </div>
            <div class="images-list">
                {% for image in images %}
                    <div class="image-item" data-image-id="{{ image.id }}">
                        <img src="{{ asset(image.mediaPath, 'images') }}" alt="{{ image.alt }}">
                        <div class="image-item-menu">
                            <span>{{ image.name }}</span>
                            <p class="date-mobile"><span>{{ image.created }}</span></p>
                            <div class="image-item-menu-btn">
                                <i class="fas fa-undo btn-rotate-image" data-image-id="{{ image.id }}" data-image-path="{{ image.mediaPath }}"></i>
                                <i class="far fa-copy btn-copy-path" data-image-path="{{ image.originalPath }}"></i>
                                <i class="fas fa-pencil-alt btn-edit-image" data-image-id="{{ image.id }}"></i>
                                <i class="fas fa-trash btn-delete-image" data-image-id="{{ image.id }}"></i>
                            </div>
                        </div>
                        <div class="image-item-description">
                            <p><span>Alt: </span> <span class="alt-text">{{ image.alt }}</span></p>
                            <p><span>Date: </span> <span>{{ image.created }}</span></p>
{#                            <p><span>Размер:</span> 300Х600</p>#}
                        </div>
                    </div>
                {% endfor %}
                {% if countEmptyImages > 0 %}
                    {% for i in 1..countEmptyImages %}
                        <div class="image-item-empty"></div>
                    {% endfor %}
                {% endif %}
            </div>
{#            {% if images is not empty and loadButton.show == true %}#}
{#                <a href="{{ path(app.request.attributes.get('_route')) }}?limit={{ loadButton.limit }}" class="btn-load-more">Загрузить ещё</a>#}
{#            {% endif %}#}
        </div>
    </div>

    <div id="popup-create-folder" class="popup-form-wrapper white-popup mfp-hide">
        <form>
            <p class="label">Введите название папки:</p>
            <p class="error"></p>
            <input type="text" class="folder-name"/>
            <button class="popup-btn-create-folder">Создать</button>
        </form>
    </div>
    <div id="popup-edit-image" class="popup-form-wrapper white-popup mfp-hide">
        <form class="form-edit-image">
            <p class="label">Alt:</p>
            <p class="error"></p>
            <input type="text" class="popup-input-alt" name="alt"/>
            <input type="hidden" class="popup-input-image-id" name="id"/>
            <button class="popup-btn-edit-image btn-save">Сохранить</button>
        </form>
    </div>
    <div id="popup-alt-form" class="popup-form-wrapper white-popup mfp-hide {% if showAltPopup %} show {% endif %}">
        <form class="form-alt">
            <p class="popup-title">Заполните описание для фото</p>
            {% for image in uploadedImages %}
                <div class="alt-item">
                    <div class="alt-image">
                        <img src="{{ asset(image.mediaPath, 'images') }}">
                    </div>
                    <div class="alt-form">
                        <input type="text" name="alt" data-image-id="{{ image.id }}"/>
                    </div>
                </div>
            {% endfor %}
            <button class="popup-save-alt">Сохранить</button>
        </form>
    </div>
{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('admin-images') }}
    <script type="text/javascript" src="{{ asset('libs/tipped/tipped.min.js') }}"></script>
{% endblock %}
